Subject: bug#54708: I seemed to have found a bug in guix pull (networking issues may be involved)

From: [email-masked]
Date: Mon, 04 Apr 2022 15:28:11 +0000

Hello!
I tried running guix pull today, which resulted in an error. I am using a osbooted (libreboot) T400 Thinkpad on Guix System. I have been having some bizzare networking issues that I have not fixed yet. They may have played a role. Here is the output of the error message:
joshua@hidalgo ~ (master) [1]> guix pull
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
guix pull: error: Git error: failed to resolve address for git.savannah.gnu.org: Temporary failure in name resolution
joshua@hidalgo ~ (master) [1]> guix pull
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to 9bd4ed3 (132 new commits)...
Building from this channel:
 guix https://git.savannah.gnu.org/git/guix.git 9bd4ed3
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
 module-import 2KiB 18KiB/s 00:00 [##################] 100.0%
 module-import-compiled 1.2MiB 14KiB/s 01:28 [##################] 100.0%
 compute-guix-derivation 1004B 425KiB/s 00:00 [##################] 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
 git-minimal-2.35.1 993KiB/s 00:04 | 3.6MiB transferre
 |Backtrace:
 14 (primitive-load "/gnu/store/2gdcck1lsrmv1n9c814bl4xxk69b4y49-compute-guix-derivation")
In ice-9/eval.scm:
 155:9 13 (_ _)
 159:9 12 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
 152:2 11 (with-fluid* _ _ _)
 152:2 10 (with-fluid* _ _ _)
In ./guix/store.scm:
 2129:24 9 (run-with-store #<store-connection 256.99 7f435fb05410> #<procedure 7f4352d875f0 at ./guix/self.scm:12?> ?)
 1966:8 8 (_ #<store-connection 256.99 7f435fb05410>)
In ./guix/gexp.scm:
 299:22 7 (_ #<store-connection 256.99 7f435fb05410>)
 1180:2 6 (_ #<store-connection 256.99 7f434a0d36e0>)
 1046:2 5 (_ #<store-connection 256.99 7f434a0d36e0>)
 892:4 4 (_ #<store-connection 256.99 7f434a0d36e0>)
In ./guix/store.scm:
 2014:12 3 (_ #<store-connection 256.99 7f434a0d36e0>)
 1406:5 2 (map/accumulate-builds #<store-connection 256.99 7f434a0d36e0> #<procedure 7f435f462fe0 at ./guix/stor?> ?)
 1421:15 1 (_ #<store-connection 256.99 7f434a0d36e0> ("/gnu/store/mlqacmkzh8ir2aqs42zc24jbk1vkgk2x-git-minimal-?") ?)
 1421:15 0 (loop #f)

./guix/store.scm:1421:15: In procedure loop:
ERROR:
 1. &store-protocol-error:
 message: "some substitutes for the outputs of derivation `/gnu/store/mlqacmkzh8ir2aqs42zc24jbk1vkgk2x-git-minimal-2.35.1.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source "
 status: 1
guix pull: error: You found a bug: the program '/gnu/store/2gdcck1lsrmv1n9c814bl4xxk69b4y49-compute-guix-derivation'
failed to compute the derivation for Guix (version: "9bd4ed3dded7b770f1989f6084d565f7086fdcd3"; system: "x86_64-linux";
host version: "fff27ded10fec7efaec11a231324681fb8dd0857"; pull-version: 1).
Please report the COMPLETE output above by email to <[email-masked]>.

joshua@hidalgo ~ (master) [1]>
Thanks!